
%define firmware_name ipw2200

Name: firmware-%firmware_name-3.0
Version: 3.0
Release: alt1.1
License: distributable
Group: System/Kernel and hardware
Summary: Firmware for the Intel(R) PRO/Wireless 2200 Driver
Source0: %firmware_name-fw-%version.tgz
Url: http://%firmware_name.sourceforge.net/firmware.php
BuildArch: noarch
Requires: hotplug

%description
This package contains the firmware for the ipw-2200 driver. Usage of
the firmware is subject to the terms contained in /lib/LICENSE.ipw2200-fw
Please read the license carefully.

%prep
%setup -q -c

%__tar -zxvf %SOURCE0

%install
install -d $RPM_BUILD_ROOT/lib/firmware

install -p */*.fw $RPM_BUILD_ROOT/lib/firmware
cp -df */LICENSE.ipw2200-fw $RPM_BUILD_ROOT/lib/firmware/

%files
%defattr(644,root,root,755)
#%doc ipw2x00_firmware_licence_Q_A.txt
##/%_lib/firmware/%name-LICENSE
##/%_lib/firmware/*.fw
/lib/firmware/*

%changelog
* Wed May 17 2006 Alexey Shabalin <shaba@altlinux.ru> 3.0-alt1.1
- remove %%_lib  

* Wed May 17 2006 Alexey Shabalin <shaba@altlinux.ru> 3.0-alt1
- init release firmware v3 for ipw2200 v1.1.1 and newer 

* Fri May 27 2005 Alexey Shabalin <shaba@altlinux.ru> 2.3-alt2
- rename package firmware-ipw2200-2.3 for kernel module v1.0.4

* Tue May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 2.3-alt1
- update 2.3 firmware for kernel module v1.0.4 

* Thu Apr 07 2005 Alexey Shabalin <shaba@altlinux.ru> 2.2-alt1
- init release 
